function J = computedist(X, centroids, idx)


K = size(centroids, 1);
m = size(X,1);
for i = 1:K
    
    diffs = bsxfun(@minus, X(i == idx,:),centroids(i,:));
    distortion = sum(sum(diffs.^2, 2));
    
    holder(:,i) = distortion;
    
end

J = (1/m) * sum(holder);

end