function W = randInitializeWeights(L_in, L_out)
% Randomly initializes weights based on the size of the
% input layer and the hidden layer
W = zeros(L_out, 1 + L_in);


epsilon_init = sqrt(6) / sqrt(L_in + L_out);
W = (rand(L_out, 1 + L_in) * 2 * epsilon_init ) - epsilon_init;


end
