function centroids = computeCentroids(X, idx, K)
%This function computes new centroids based on the 
%samples assigned to each centroid.
%It should also deal with the unlikely situation of an 
%unassigned centroid.

[m, n] = size(X);
centroids = zeros(K, n);


for i = 1:K
    select = find(idx==i);
    if isempty(select) == 0
        centroids(i,:) = mean(X(select,:));
    else
        
    end
end



end
