function centroids = randomInit(X, K)
%This function creats a random initialization 
%of centroids based on examples Given in X 

% initialize values
centroids = zeros(K, size(X, 2));


% Randomly reorder the indices of examples
randomindex = randperm(size(X, 1));


% Take the first K examples as centroids
centroids = X(randomindex(1:K), :);


end